using System.Collections.Generic;

namespace XMLParser.Model
{
    public class Rohrleitung
    {
        ERohrleitungstyp rohrleitungstyp;
        decimal inspektionslaenge;
        string inspektionsrichtung;
        RGrunddaten grunddaten = null;
        List<RZustand> zustaende = null;

        public ERohrleitungstyp Rohrleitungstyp
        {
            get
            {
                return rohrleitungstyp;
            }
            set
            {
                rohrleitungstyp = value;
            }
        }

        public decimal Inspektionslaenge
        {
            get
            {
                return inspektionslaenge;
            }
            set
            {
                inspektionslaenge = value;
            }
        }
        public string Inspektionsrichtung
        {
            get
            {
                switch(inspektionsrichtung)
                {
                    case "U": return "Gegen Fliessrichtung";
                    case "O": return "In Fliessrichtung";
                    default: return "Fliessrichtungangabe nicht bekannt(" + inspektionsrichtung + ")";
                }
                
            }
            set
            {
                inspektionsrichtung = value;
            }
        }
        public List<RZustand> Zustaende
        {
            get
            {
                return zustaende;
            }
            set
            {
                zustaende = value;
            }
        }
        public RGrunddaten Grunddaten
        {
            get
            {
                return grunddaten;
            }
            set
            {
                grunddaten = value;
            }
        }
    }
}
